%define content design-graphics
%define theme Junior
%define priority 5


Name: %content-%theme
Version: 3.1.0.1
Release: alt3

Summary: design for ALT Linux Junior 2.3
License: Different licenses
Group: Graphics

BuildArch: noarch

PreReq(post,preun): /usr/sbin/update-alternatives
Provides: gnome-session-splash = %version-%release
Obsoletes: gnome-session-splash
Provides: design-graphics = %version-%release
Obsoletes: design-graphics

BuildPreReq: libalternatives-devel

# Gnome splash screen from art.gnome.org
# Name: GNOME2-Mountains
# Author: Roman "star" Beigelbeck <roman_n0spam@gnome.org>
# Release Date: 08/06/2002
Source0: %name-%version.tar.bz2

%description
This package contains some graphics for ALT design.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/%_datadir/design/{%theme,backgrounds}
cp -ar %_builddir/%name-%version/* %buildroot/%_datadir/design/%theme

pushd %buildroot/%_datadir/design/%theme/backgrounds
ln -s ../../backgrounds more
ln -s ../../wallpapers kde
popd

install -d %buildroot//etc/alternatives/packages.d
cat >%buildroot/etc/alternatives/packages.d/%content-%theme <<__EOF__
<group name="candidate">
    <option name="link">/usr/share/artworks</option>
    <option name="real">/usr/share/design/%theme</option>
    <option name="weight" type="number">%priority</option>
</group>
__EOF__

%post
%post_register_alternatives %content-%theme
%update_alternatives

%preun
%preun_unregister_alternatives %content-%theme
%update_alternatives

%files
%config(noreplace) /etc/alternatives/packages.d/%content-%theme
%_datadir/design

%changelog
* Fri Feb 20 2004 Albert R. Valiev <darkstar@altlinux.ru> 3.1.0.1-alt3
- Build for ALT Linux 2.3 Junior

* Mon Jan 19 2004 Anton Farygin <rider@altlinux.ru> 3.1.0.1-alt2
- alternatives fixes

* Fri Jan 16 2004 Anton Farygin <rider@altlinux.ru> 3.1.0.1-alt1
- added symlink to more backgrounds
- removed symlink to WindoMaker themes
- specfile cleanup

* Mon Aug 18 2003 Rider <rider@altlinux.ru> 3.1.0-alt1.1
- build for new graphics packages theme

* Thu Jul 31 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt1
- URL to design files is /usr/share/artworks
- add altarnatives support
- new placement of files
- don't conflict with any old design-graphics* package versions
- compatibile with backgrounds packages placed in /usr/share/design/backgrounds

* Tue Jul 22 2003 Sergey V Turchin <zerg at altlinux dot org> 3.0.4-alt2
- fix Conflicts

* Mon Jul 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.0.4-alt1
- rename to design-graphics-sisyphus

* Thu Jun 26 2003 Sergey V Turchin <zerg at altlinux dot org> 3.0.3-alt1
- add windowmaker catalog for WindowMaker

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- add new faces
- change default background
- add new xdm logo (change default)

* Tue Nov 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- fixed same pics been non symbolic links
- change default background

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.0-alt4
- add missing file

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.0-alt3
- fix kdm-logo

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.0-alt2
- fix paths

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.0-alt1
- add images for KDE
- increase %%version to sync with distro version

* Tue Oct 08 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt3
- added temporary background

* Mon Oct 07 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2
- fix summary and description

* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- initial release
- added light modified gnome splash from art.gnome.org
